xviewer (3.4.1+faye) victoria; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 08 Jun 2023 12:09:50 +0100

xviewer (3.4.0) victoria; urgency=medium

  * Add AVIF and HEIF support.
  * Add dark mode support

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 01 Jun 2023 10:34:17 +0100

xviewer (3.2.12) vera; urgency=medium

  [ Vladimir Didenko ]
  * Use upper case names for boolean constants (False -> FALSE, True -> TRUE). Not all distros support not-upper case variant (#178)

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 07 Jan 2023 16:02:53 +0000

xviewer (3.2.11) vera; urgency=medium

  [ Michael Webster ]
  * Use github actions for CI builds.

  [ programmer-ceds ]
  * Handle repeated prev/next keys  (#172)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 21 Nov 2022 16:21:54 +0000

xviewer (3.2.10) vanessa; urgency=medium

  [ programmer-ceds ]
  * Fix Batch Save - issue #168 (#169)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 01 Aug 2022 16:02:52 +0200

xviewer (3.2.9) vanessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 24 Jul 2022 12:41:00 +0200

xviewer (3.2.8) vanessa; urgency=medium

  [ Bobby Rong ]
  * build: add missing gio-unix-2.0 dependency (#170)

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 20 Jul 2022 08:07:54 +0200

xviewer (3.2.7) vanessa; urgency=medium

  [ Michael Webster ]
  * Add webp support.

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 01 Jul 2022 16:17:32 +0200

xviewer (3.2.6) vanessa; urgency=medium

  * CI: Update targets
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Jun 2022 14:23:33 +0200

xviewer (3.2.5) vanessa; urgency=medium

  [ okaestne ]
  * Port to meson
  * control: capitalize Xviewer in package desc
  * fix lintian warnings
  * update AppStream metadata
  * Use meson's i18n.merge_file (gettext) ... instead of intltool-merge.
  * Add README.md with general information and build steps

  [ Oliver Kästner ]
  * build: add install scripts for non-debian builds (#158)

  [ okaestne ]
  * remove unused variables
  * fix misleading-indentation warnings
  * fix/add checked type casts
  * fix: move .typelib and .gir dirs into private dir

  [ programmer-ceds ]
  * Handle repeated prev and next keys (#164)

 -- Clement Lefebvre <clem@macbook>  Sat, 11 Jun 2022 13:01:41 +0200

xviewer (3.2.4) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 31 Dec 2021 13:11:35 +0000

xviewer (3.2.3) una; urgency=medium

  * Move new symbolic icons to xapp library

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 27 Dec 2021 14:03:02 +0000

xviewer (3.2.2) una; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Dec 2021 16:02:59 +0000

xviewer (3.2.1) una; urgency=medium

  [ programmer-ceds ]
  * Add fit to width and fit to height (#155)

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 29 Nov 2021 10:14:51 +0000

xviewer (3.2.0) una; urgency=medium

  [ Clement Lefebvre ]
  * Disable dark mode in Xfce

  [ programmer-ceds ]
  * help: Reorder shortcuts (#153)
  * zoom: Use CAIRO_FILTER_GOOD while zooming (#147)
  * Refresh when the picture is modified externally (#152)

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Nov 2021 12:51:37 +0000

xviewer (3.0.2) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 25 Jun 2021 15:15:47 +0100

xviewer (3.0.1) uma; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Jun 2021 11:12:19 +0100

xviewer (3.0.0) uma; urgency=medium

  [ Talkashie ]
  * Fix typos in the Contents page (#127)

  [ Cerulean ]
  * Where a list of multiple files is supplied containing no directories, display them in the order it specifies, rather than sorting. Replace some unnecessary g_list_length calls.

  [ programmer-ceds ]
  * Spacebar Optionally Pauses Slideshow

  [ Michael Webster ]
  * xviewer-preferences-dialog.c: Tweak new labels in preferences, fix text alignment.

  [ programmer-ceds ]
  * Open svgz files (Fixes: https://github.com/linuxmint/xviewer/issues/128) (#129)

  [ Clement Lefebvre ]
  * i18n: Don't translate gsettings strings
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 01 Jun 2021 13:04:14 +0100

xviewer (2.8.3) ulyssa; urgency=medium

  [ Michael Webster ]
  * xviewer-window.c: Add missing NULL terminator to mimetype array.

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jan 2021 15:46:31 +0000

xviewer (2.8.2) ulyssa; urgency=medium

  [ programmer-ceds ]
  * Handle Wrong Extensions
  * BMP 24-bit Fix (#125)

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 02 Jan 2021 17:33:33 +0000

xviewer (2.8.1) ulyssa; urgency=medium

  [ Clement Lefebvre ]
  * l10n: Rename some msgids

  [ programmer-ceds ]
  * JPG over 16384 pixels

  [ Clement Lefebvre ]
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Dec 2020 12:14:38 +0000

xviewer (2.8.0) ulyssa; urgency=medium

  [ programmer-ceds ]
  * Configure Mouse Wheel (#111)

  [ Michael Webster ]
  * Make the mouse preferences tab look a bit more consistent with the other tabs and other apps.

  [ programmer-ceds ]
  * Stop Centering Window
  * Delete Dialog Focus
  * Delete Dialog Focus

  [ Michael Webster ]
  * Add favorites to the file menu.

  [ Clement Lefebvre ]
  * l10n: Update POT

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 30 Nov 2020 11:21:50 +0000

xviewer (2.6.2) ulyana; urgency=medium

  * CI: Update targets

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:48:57 +0100

xviewer (2.6.1) ulyana; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 24 Jun 2020 12:11:36 +0100

xviewer (2.6.0) ulyana; urgency=medium

  [ Michael Webster ]
  * Commit some files that get altered during the build.

  [ programmer-ceds ]
  * Remember Maximized State (#95)

  [ Michael Webster ]
  * Get rid of autogenerated garbage, gconf references.

  [ programmer-ceds ]
  * Key1 behaviour changes
  * Non auto rotate error (#97)

  [ Sujit Agarwal ]
  * Add "View Fullscreen" and "View Slideshow" buttons to toolbar

  [ Clement Lefebvre ]
  * l10n: Update translations
  * UI: Bump minimum window width
  * Toolbar: Use a symbolic icon for diaporama

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 11 May 2020 15:48:58 +0100

xviewer (2.4.3) tricia; urgency=medium

  [ Michael Webster ]
  * xviewer-scroll-view.c: Avoid crashing when attempting to create a surface from a pixbuf that is too large to render.

  [ Clement Lefebvre ]
  * l10n: Update translations

  [ Serge Leger ]
  * Corrected strftime-formatted string. (#89)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 06 Jan 2020 11:25:43 +0000

xviewer (2.4.2) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 11 Dec 2019 14:47:30 +0000

xviewer (2.4.1) tricia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 26 Nov 2019 17:18:19 +0000

xviewer (2.4.0) tricia; urgency=medium

  [ Jami Kettunen ]
  * Add Ctrl+KP_0 shortcut to reset the image zoom (#86)

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 22 Nov 2019 11:37:20 +0000

xviewer (2.2.1) tina; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 28 Jul 2019 15:10:12 +0200

xviewer (2.2.0) tina; urgency=medium

  * Add Ctrl+Q shortcut to close window
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sun, 23 Jun 2019 14:20:19 +0200

xviewer (2.0.2) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 11 Dec 2018 14:18:58 +0000

xviewer (2.0.1) tessa; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 27 Nov 2018 18:21:48 +0000

xviewer (2.0.0) tessa; urgency=medium

  [ NikoKrause ]
  * Consistent icon usage in all xapps: help-contents (#72)

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 19 Nov 2018 10:28:53 +0000

xviewer (1.8.1) tara; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 22 May 2018 13:03:13 +0100

xviewer (1.8.0) tara; urgency=medium

  [ Clement Lefebvre ]
  * Add CI configuration
  * EogListStore: Use the CHANGES_DONE_HINT to detect file changes

  [ Michael Webster ]
  * build: Use cinnamon-desktop instead of gnome-desktop.

  [ Leigh Scott ]
  * Fix build with gnome-desktop-3.28 development (#57)

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 26 Apr 2018 19:01:19 +0100

xviewer (1.6.1) sylvia; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 23 Nov 2017 12:35:06 +0000

xviewer (1.6.0) sylvia; urgency=medium

  [ JosephMcc ]
  * Create ISSUE_TEMPLATE.md
  * Update ISSUE_TEMPLATE.md

  [ Cobinja ]
  * Switch zoom buttons in toolbar (#45)

  [ JosephMcc ]
  * fullscreen-toolbar: Fix the slideshow play/pause button icon (#39)

  [ Clement Lefebvre ]
  * Menubar: Change Image menu item to File
  * l10n: Update POT file
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 03 Nov 2017 21:19:42 +0000

xviewer (1.4.3) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 28 Jun 2017 10:51:37 +0200

xviewer (1.4.2) sonya; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 23 May 2017 14:09:15 +0100

xviewer (1.4.1) sonya; urgency=medium

  * Packaging: Change the description
  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 May 2017 14:48:18 +0100

xviewer (1.4.0) sonya; urgency=medium

  [ JosephMcc ]
  * ui: Replace EggEditable toolbar with a GtkToolbar
  * xviewer-window: Show/hide the toolbar with a revealer
  * ui: Switch to using symbolic style icons
  * fullscreen-toolbar: Update the styling
  * ui: Don't handle double click events globally for the window
  * window: Don't hide the sidebar when going fullscreen

  [ Clement Lefebvre ]
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 05 May 2017 08:36:45 +0100

xviewer (1.2.2) serena; urgency=medium

  * l10n: Update translations

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 12 Dec 2016 13:01:53 +0000

xviewer (1.2.1) serena; urgency=medium

  * l10n: Update translations
  * l10n: Update POT file

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 10 Nov 2016 00:15:04 +0000

xviewer (1.2.0) serena; urgency=medium

  [ Clement Lefebvre ]
  * Don't show sidebar by default
  * Move menu item to Accessories category

  [ itzexor ]
  * THANKS: Fix incorrect replacement

  [ Clement Lefebvre ]
  * Fix resampling when picture is zoomed
  * Add a View->Reload action and remove the Reload plugin
  * Removed fullscreen and date-in-statusbar plugins
  * Apply custom background color to fullscreen background
  * Fix Rotate and Reload using the same shortcut key

 -- Clement Lefebvre <root@linuxmint.com>  Fri, 04 Nov 2016 15:20:10 +0000

xviewer (1.0.6) sarah; urgency=medium

  * Added support for Xfce

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 14 Jul 2016 15:43:42 +0200

xviewer (1.0.5) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 25 Jun 2016 11:58:02 +0100

xviewer (1.0.4) sarah; urgency=medium

  [ Clement Lefebvre ]
  * Fix setting background in MATE
  * Show the program name in the about dialog

 -- Clement Lefebvre <root@linuxmint.com>  Mon, 20 Jun 2016 10:27:13 +0100

xviewer (1.0.3) sarah; urgency=medium

  * Updated translations

 -- Clement Lefebvre <root@linuxmint.com>  Tue, 24 May 2016 14:39:52 +0100

xviewer (1.0.2) sarah; urgency=medium

  [ monsta ]
  * avoid integer overflow when allocating a large block of memory

  [ Clement Lefebvre ]
  * build-depend on dh-autoreconf
  * Updated translations

  [tomoe-musashi]
  * update description and pot file

 -- Clement Lefebvre <root@linuxmint.com>  Wed, 27 Apr 2016 13:23:07 +0100

xviewer (1.0.1) sarah; urgency=medium

  * Renaming (paths)
  * Renaming (schemas)
  * Updated default icon
  * Updated about dialog
  * Updated help figures
  * Updated help
  * Set-as-wallpaper: Add support for Cinnamon and MATE
  * Added makepot and xviewer.pot to version control

 -- Clement Lefebvre <root@linuxmint.com>  Sat, 06 Feb 2016 16:46:10 +0000

xviewer (1.0.0) experimental; urgency=medium

  * Initial version

 -- Clement Lefebvre <root@linuxmint.com>  Thu, 04 Feb 2016 09:47:00 +0100

